<?php

namespace Litecms\Productsearch;

use DB;
use Illuminate\Database\Seeder;

class ProductCustomSearchresultTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('product_custom_searchresults')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'productsearch.product_custom_searchresult.view',
                'name'      => 'View ProductCustomSearchresult',
            ],
            [
                'slug'      => 'productsearch.product_custom_searchresult.create',
                'name'      => 'Create ProductCustomSearchresult',
            ],
            [
                'slug'      => 'productsearch.product_custom_searchresult.edit',
                'name'      => 'Update ProductCustomSearchresult',
            ],
            [
                'slug'      => 'productsearch.product_custom_searchresult.delete',
                'name'      => 'Delete ProductCustomSearchresult',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/productsearch/product_custom_searchresult',
                'name'        => 'ProductCustomSearchresult',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/productsearch/product_custom_searchresult',
                'name'        => 'ProductCustomSearchresult',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'product_custom_searchresult',
                'name'        => 'ProductCustomSearchresult',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Productsearch',
                'module'    => 'ProductCustomSearchresult',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'productsearch.product_custom_searchresult.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
