Lavalite package that provides productsearch management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/productsearch`.

    "litecms/productsearch": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Productsearch\Providers\ProductsearchServiceProvider::class,

And also add it to alias

    'Productsearch'  => Litecms\Productsearch\Facades\Productsearch::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\ProductsearchTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Productsearch\Providers\ProductsearchServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Productsearch\Providers\ProductsearchServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Productsearch\Providers\ProductsearchServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/productsearch/{modulename}

**User**

    http://path-to-route-folder/user/productsearch/{modulename}

**Public**

    http://path-to-route-folder/productsearches


### API endpoints

**List**

    http://path-to-route-folder/api/user/productsearch/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/productsearch/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/productsearch/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/productsearch/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/productsearch/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/productsearch/{modulename}/{slug}
    METHOD: GET