<?php

// API routes  for product_custom_searchresult
Route::prefix('{guard}/productsearch')->group(function () {
    Route::get('product_custom_searchresult/form/{element}', 'ProductCustomSearchresultAPIController@form');
    Route::resource('product_custom_searchresult', 'ProductCustomSearchresultAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for productsearches
            Route::prefix('{guard}/productsearch')->group(function () {
                Route::get('product_custom_searchresult/form/{element}', 'ProductCustomSearchresultAPIController@form');
                Route::apiResource('product_custom_searchresult', 'ProductCustomSearchresultAPIController');
            });
            // Public routes for productsearches
            Route::get('productsearch/ProductCustomSearchresult', 'ProductCustomSearchresultPublicController@getProductCustomSearchresult');
        }
    );
}

