<?php

// web routes  for product_custom_searchresult
Route::prefix('{guard}/productsearch')->group(function () {
    Route::resource('product_custom_searchresult', 'ProductCustomSearchresultResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ProductCustomSearchresultResourceController');
            });
            // Public routes for pages
            Route::get('productsearches/', 'ProductCustomSearchresultPublicController@index');
            Route::get('productsearches/{slug?}', 'ProductCustomSearchresultPublicController@show');
        }
    );
}

