<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'productsearch',

    /*
     * Modules.
     */
    'modules'   => ['product_custom_searchresult'],

    
    'product_custom_searchresult'       => [
        'model' => [
            'model'                 => \Litecms\Productsearch\Models\ProductCustomSearchresult::class,
            'table'                 => 'product_custom_searchresults',
            'presenter'             => \Litecms\Productsearch\Repositories\Presenter\ProductCustomSearchresultPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'keyword',  'search_result',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'productsearch/product_custom_searchresult',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Productsearch',
            'module'    => 'ProductCustomSearchresult',
        ],

    ],
];
